using SqlSugar;

namespace YBDevice.Entity
{
    /// <summary>
    /// 家庭成员目标体重
    /// </summary>
    [SugarTable("YB_FamilyTarget", TableDescription = "家庭成员目标体重", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_FamilyTarget
    {

        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public System.Int32 Id { get; set; }

        /// <summary>
        /// 家庭成员ID
        /// </summary>
        [SugarColumn(ColumnDescription = "家庭成员ID")]
        public System.Int32 familyid { get; set; }

        /// <summary>
        /// 目标日期
        /// </summary>
        [SugarColumn(ColumnDescription = "目标日期", ColumnDataType = "date")]
        public System.DateTime time { get; set; }

        /// <summary>
        /// 目标体重
        /// </summary>
        [SugarColumn(ColumnDescription = "目标体重", ColumnDataType = "decimal(18,2)")]
        public System.Decimal weight { get; set; }
    }
}
